Delete a job description
curl --request DELETE \
--url https://{region}.affinda.com/v2/job_descriptions/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v2/job_descriptions/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v2/job_descriptions/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Job Description Parser
Delete a job description
deprecated
Deletes the specified job description from the database
DELETE
/
v2
/
job_descriptions
/
{identifier}
Delete a job description
curl --request DELETE \
--url https://{region}.affinda.com/v2/job_descriptions/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v2/job_descriptions/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v2/job_descriptions/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Document identifier
Example:
"EUglqBoT"
Response
Delete successful, no content returned
Was this page helpful?
⌘I